Attempting to use Luau

Hello, Dev Forum.

I recently discovered that Luau has numerous syntactical differences with regular Lua, and I wanted to play around with them. While I am using the Beta version of studio and I have typed “–!strict” at the top of my file, for some reason any Luau-exclusive code I am trying to write triggers an error:

https://gyazo.com/194fc6dfd380a38f5fdf3923e38b4b36

If anyone could help me get Luau up and running, I’d be highly appreciative. Thank you.

You have to enable the new script analysis. You can do this by going to File > Beta Features, then Enable New Lua Script Analysis.

image

Then you restart studio.

1 Like

Interestingly, on regular studio that setting exists, but on Beta studio I can’t seem to find it.